| featcopy

## Function

Reads and writes a feature table

## Description

featcopy reads a feature table and reformats it in any of the supported output feature formats.

## Usage

Here is a sample session with featcopy

    % featcopy
    Reads and writes a feature table
    Input features: paamir.gff3
    Features output [paamir.gff]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-features]          features   (no help text) features value
      [-outfeat]           featout    [unknown.gff] Output features UFO

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-features" associated qualifiers
       -fformat1           string     Features format
       -fopenfile1         string     Features file name
       -fask1              boolean    Prompt for begin/end/reverse
       -fbegin1            integer    Start of the features to be used
       -fend1              integer    End of the features to be used
       -freverse1          boolean    Reverse (if DNA)

       "-outfeat" associated qualifiers
       -offormat2          string     Output feature format
       -ofopenfile2        string     Features file name
       -ofextension2       string     File name extension
       -ofdirectory2       string     Output directory
       -ofname2            string     Base file name
       -ofsingle2          boolean    Separate file for each entry

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-features] (Parameter 1) | (no help text) features value | Readable feature table | Required
[-outfeat] (Parameter 2) | Output features UFO | Writeable feature table | unknown.gff
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

featcopy reads any normal features UFOs.

### Input files for usage example

### File: paamir.gff3

    ##gff-version 3
    ##sequence-region PAAMIR 1 2167
    #!Date 2008-07-11
    #!Type DNA
    #!Source-version EMBOSS 6.0.0
    PAAMIR	EMBL	databank_entry	1	2167	0.000	+	.	ID="PAAMIR.1";db_xref="taxon:287";organism="Pseudomonas aeruginosa";strain="PAC";isolate="PAC 1";map="38 min"
    PAAMIR	EMBL	CDS	1289	1879	0.000	+	0	ID="PAAMIR.2";db_xref="SWISS-PROT:P10932";note="aliphatic amidase regulator, positive regulator of amiE";transl_table=11;gene="amiR";protein_id="CAA32023.1";translation="MSANSLLGSLRELQVLVLNPPGEVSDALVLQLIRIGCSVRQCWPPPEAFDVPVDVVFTSIFQNGHHDEIAALLAAGTPRTTLVALVEYESPAVLSQIIELECHGVITQPLDAHRVLPVLVSARRISEEMAKLKQKTEQLQDRIAGQARINQAKVLLMQRHGWDEREAHQHLSREAMKRREPILKIAQELLGNEPSA"
    PAAMIR	EMBL	CDS	135	1292	0.000	+	0	ID="PAAMIR.3";db_xref="SWISS-PROT:P27017";note="negative regulator of amiR";transl_table=11;gene="amiC";protein_id="CAA32024.1";translation="MGSHQERPLIGLLFSETGVTADIERSHAYGALLAVEQLNREGGVGGRPIETLSQDPGGDPDRYRLCAEDFIRNRGVRFLVGCYMSHTRKAVMPVVERADALLCYPTPYEGFEYSPNIVYGGPAPNQNSAPLAAYLIRHYGERVVFIGSDYIYPRESNHVMRHLYRQHGGTVLEEIYIPLYPSDDDLQRAVERIYQARADVVFSTVVGTGTAELYRAIARRYGDGRRPPIASLTTSEAEVAKMESDVAEGQVVVAPYFSSIDTPASRAFVQACHGFFPENATITAWAEAAYWQTLLLGRAAQAAGNWRVEDVQRHLYDIDIDAPQGPVRVERQNNHSRLSSRIAEIDARGVFQVRWQSPEPIRPDPYVVVHNLDDWSASMGGGPLP"
    PAAMIR	EMBL	promoter	8	24	0.000	+	.	ID="PAAMIR.4";note="proposed rpoN-dependent promoter"
    PAAMIR	EMBL	promoter	65	81	0.000	+	.	ID="PAAMIR.5";note="proposed rpoN-dependent promoter"
    PAAMIR	EMBL	ribosome_entry_site	121	126	0.000	+	.	ID="PAAMIR.6";note="proposed Shine-Dalgarno sequence"
    PAAMIR	EMBL	sequence_variant	912	1167	0.000	+	.	ID="PAAMIR.7";note="ClaI fragment deleted in pSW36, constitutive phenotype";replace="";gene="amiC"
    PAAMIR	EMBL	located_sequence_feature	1	1	0.000	+	.	ID="PAAMIR.8";featflags="0x40";note="last base of an XhoI site"
    PAAMIR	EMBL	located_sequence_feature	648	653	0.000	+	.	ID="PAAMIR.9";note="end of 658bp XhoI fragment, deletion in pSW3 causes constitutive expression of amiE"
    PAAMIR	EMBL	misc_difference	1281	1281	0.000	+	.	ID="PAAMIR.10";featflags="0x40";replace="g";citation=[3]

## Output file format

featcopy outputs a feature file.

### Output files for usage example

### File: paamir.gff

    ##gff-version 3
    ##sequence-region PAAMIR 1 2167
    #!Date 2008-07-15
    #!Type DNA
    #!Source-version EMBOSS 6.0.0
    PAAMIR	EMBL	databank_entry	1	2167	0.000	+	.	ID="PAAMIR.1";db_xref="taxon:287";organism="Pseudomonas aeruginosa";strain="PAC";isolate="PAC 1";map="38 min"
    PAAMIR	EMBL	CDS	1289	1879	0.000	+	0	ID="PAAMIR.2";db_xref="SWISS-PROT:P10932";note="aliphatic amidase regulator, positive regulator of amiE";transl_table=11;gene="amiR";protein_id="CAA32023.1";translation="MSANSLLGSLRELQVLVLNPPGEVSDALVLQLIRIGCSVRQCWPPPEAFDVPVDVVFTSIFQNGHHDEIAALLAAGTPRTTLVALVEYESPAVLSQIIELECHGVITQPLDAHRVLPVLVSARRISEEMAKLKQKTEQLQDRIAGQARINQAKVLLMQRHGWDEREAHQHLSREAMKRREPILKIAQELLGNEPSA"
    PAAMIR	EMBL	CDS	135	1292	0.000	+	0	ID="PAAMIR.3";db_xref="SWISS-PROT:P27017";note="negative regulator of amiR";transl_table=11;gene="amiC";protein_id="CAA32024.1";translation="MGSHQERPLIGLLFSETGVTADIERSHAYGALLAVEQLNREGGVGGRPIETLSQDPGGDPDRYRLCAEDFIRNRGVRFLVGCYMSHTRKAVMPVVERADALLCYPTPYEGFEYSPNIVYGGPAPNQNSAPLAAYLIRHYGERVVFIGSDYIYPRESNHVMRHLYRQHGGTVLEEIYIPLYPSDDDLQRAVERIYQARADVVFSTVVGTGTAELYRAIARRYGDGRRPPIASLTTSEAEVAKMESDVAEGQVVVAPYFSSIDTPASRAFVQACHGFFPENATITAWAEAAYWQTLLLGRAAQAAGNWRVEDVQRHLYDIDIDAPQGPVRVERQNNHSRLSSRIAEIDARGVFQVRWQSPEPIRPDPYVVVHNLDDWSASMGGGPLP"
    PAAMIR	EMBL	promoter	8	24	0.000	+	.	ID="PAAMIR.4";note="proposed rpoN-dependent promoter"
    PAAMIR	EMBL	promoter	65	81	0.000	+	.	ID="PAAMIR.5";note="proposed rpoN-dependent promoter"
    PAAMIR	EMBL	ribosome_entry_site	121	126	0.000	+	.	ID="PAAMIR.6";note="proposed Shine-Dalgarno sequence"
    PAAMIR	EMBL	sequence_variant	912	1167	0.000	+	.	ID="PAAMIR.7";note="ClaI fragment deleted in pSW36, constitutive phenotype";replace="";gene="amiC"
    PAAMIR	EMBL	located_sequence_feature	1	1	0.000	+	.	ID="PAAMIR.8";featflags="0x40";note="last base of an XhoI site"
    PAAMIR	EMBL	located_sequence_feature	648	653	0.000	+	.	ID="PAAMIR.9";note="end of 658bp XhoI fragment, deletion in pSW3 causes constitutive expression of amiE"
    PAAMIR	EMBL	sequence_difference	1281	1281	0.000	+	.	ID="PAAMIR.10";featflags="0x40";replace="g";citation=[3]

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
aligncopy | Reads and writes alignments
aligncopypair | Reads and writes pairs from alignments
biosed | Replace or delete sequence sections
codcopy | Copy and reformat a codon usage table
cutseq | Removes a section from a sequence
degapseq | Removes non-alphabetic (e.g. gap) characters from sequences
descseq | Alter the name or description of a sequence
entret | Retrieves sequence entries from flatfile databases and files
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from sequence(s)
extractseq | Extract regions from a sequence
featreport | Reads and writes a feature table
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Create random nucleotide sequences
makeprotseq | Create random protein sequences
maskambignuc | Masks all ambiguity characters in nucleotide sequences with N
maskambigprot | Masks all ambiguity characters in protein sequences with X
maskfeat | Write a sequence with masked features
maskseq | Write a sequence with masked regions
newseq | Create a sequence file from a typed-in sequence
nohtml | Remove mark-up (e.g. HTML tags) from an ASCII text file
noreturn | Remove carriage return from ASCII files
nospace | Remove all whitespace from an ASCII text file
notab | Replace tabs with spaces in an ASCII text file
notseq | Write to file a subset of an input stream of sequences
nthseq | Write to file a single sequence from an input stream of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a nucleotide sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads sequences and writes them to individual files
sizeseq | Sort sequences by size
skipredundant | Remove redundant sequences from an input set
skipseq | Reads and writes (returns) sequences, skipping first few
splitter | Split sequence(s) into smaller sequences
trimest | Remove poly-A tails from nucleotide sequences
trimseq | Remove unwanted characters from start and end of sequence(s)
trimspace | Remove extra whitespace from an ASCII text file
union | Concatenate multiple sequences into a single sequence
vectorstrip | Removes vectors from the ends of nucleotide sequence(s)
yank | Add a sequence reference (a full USA) to a list file

## Author(s)

Peter Rice (pmr © ebi.ac.uk)
Informatics Division, European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None